#############################################################################################
#############################################################################################
##
## JSDOC-TARGETS
##
#############################################################################################
#############################################################################################

ifndef DOCUMENTATION_S3_PATH
    $(error $(ERRORMARKER) DOCUMENTATION_S3_PATH is not defined, check your Makefile if jsdoc.mk is included)
endif

ifndef FIXBROKENPLANTUML
    $(error $(ERRORMARKER) FIXBROKENPLANTUML is not defined, check your Makefile if jsdoc.mk is included)
endif

.PHONY: jsdoc-build
## generate js api docs
jsdoc-build: $(DOCUMENTATION_CONFIG_PATH)jsdoc.json  $(FIXBROKENPLANTUML).fixed
	$(ECHOMARKER) "create api doc"
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run build-doc


$(FIXBROKENPLANTUML).fixed:
	$(ECHOMARKER) "fix broken plantuml"
	$(QUIET) chmod u+x $(FIXBROKENPLANTUML) 
	$(QUIET) $(NODE) $(FIXBROKENPLANTUML)
	$(QUIET) $(TOUCH) $(FIXBROKENPLANTUML).fixed



.PHONY: jsdoc-to-s3
## transfer doc to s3	
jsdoc-to-s3: jsdoc-build
	$(ECHOMARKER) "transfer doc to s3"
	$(QUIET) $(AWS) s3 --recursive --only-show-errors cp $(BUILD_PATH)docs $(DOCUMENTATION_S3_PATH)

